Unable to install any add-ons to Firefox 2.0.0.14 - Mozilla

This is a discussion on Unable to install any add-ons to Firefox 2.0.0.14 - Mozilla ; Whenever I try to install an add-on to Firefox using the "Add to Firefox" button on an add-on page, I get a 203 error. Looking at the error console log I see: "installLocation has no properties" with a link to ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: Unable to install any add-ons to Firefox 2.0.0.14

  1. Unable to install any add-ons to Firefox 2.0.0.14

    Whenever I try to install an add-on to Firefox using the "Add to
    Firefox" button on an add-on page, I get a 203 error. Looking at the
    error console log I see:

    "installLocation has no properties"

    with a link to Forefox's components/nsExtensionManager.js.

    Clicking on the link I am taken to a line in the .js files which reads:

    var installLocation = this.getInstallLocation(item.id);

    This line is proceeded by the comment lines of:

    // An item entry is valid only if it is not disabled, not about to
    // be disabled, and not about to be uninstalled.

    Since this is occuring no matter what add-on I try to install, how can I
    fix this problem so that I am able to use add-ons in Firefox ?

  2. Re: Unable to install any add-ons to Firefox 2.0.0.14

    On Jun 20, 7:22*am, Edward Diener
    wrote:
    > Whenever I try to install an add-on to Firefox using the "Add to
    > Firefox" button on an add-on page, I get a 203 error. Looking at the
    > error console log I see:
    >
    > "installLocation has no properties"
    >
    > with a link to Forefox's components/nsExtensionManager.js.
    >
    > Clicking on the link I am taken to a line in the .js files which reads:
    >
    > * * * *var installLocation = this.getInstallLocation(item.id);
    >
    > This line is proceeded by the comment lines of:
    >
    > // An item entry is valid only if it is not disabled, not about to
    > // be disabled, and not about to be uninstalled.
    >
    > Since this is occuring no matter what add-on I try to install, how can I
    > fix this problem so that I am able to use add-ons in Firefox ?



+ Reply to Thread